## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-redis
%global         forgeurl    https://github.com/googleapis/python-redis
Version:        2.5.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Memorystore for Redis API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource
# Fix mock > unittest.mock. Made PRs to upstream and they are aware but not
# accepting patches for this right now.
Patch0:         python-google-cloud-redis-mock-fix.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
The Google Cloud Memorystore for Redis API is used for creating and managing
Redis instances on the Google Cloud Platform.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}

%pyproject_extras_subpkg -n python3-%{srcname} libcst


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unneeded executables.
rm -f %{buildroot}/%{_bindir}/fixup*


%if %{with tests}
%check
%pytest --disable-warnings
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_redis-%{version}-py%{python3_version}-nspkg.pth


%changelog
* mar. nov. 09 2021 Major Hayden <major@mhtx.net> 2.5.0-1
- Update to 2.5.0

* mar. nov. 02 2021 Major Hayden <major@mhtx.net> 2.4.1-1
- Update to 2.4.1

* lun. oct. 25 2021 Major Hayden <major@mhtx.net> 2.4.0-1
- Update to 2.4.0

* mer. oct. 13 2021 Major Hayden <major@mhtx.net> 2.3.0-1
- Update to 2.3.0

* jeu. sept. 30 2021 Major Hayden <major@mhtx.net> 2.2.4-1
- Update to 2.2.4

* lun. sept. 27 2021 Major Hayden <major@mhtx.net> 2.2.3-1
- Update to 2.2.3

* jeu. sept. 09 2021 Major Hayden <major@mhtx.net> 2.2.2-2
- Move to rpmautospec

* mar. août 24 2021 Major Hayden <major@mhtx.net> 2.2.2-1
- Initial import (#1996871)
